List repositories
curl --request GET \
--url https://api.airshipci.com/api/v1/repo \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.airshipci.com/api/v1/repo"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.airshipci.com/api/v1/repo', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.airshipci.com/api/v1/repo"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"items": [
{
"accessible": true,
"activated": true,
"activatedAt": "2023-11-07T05:31:56Z",
"allowPublic": true,
"defaultBranch": "<string>",
"fullName": "<string>",
"id": 123,
"private": true,
"config": {
"checkedAt": "2023-11-07T05:31:56Z",
"error": "<string>",
"sha": "<string>"
}
}
]
}{
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}List repositories
GET
/
api
/
v1
/
repo
List repositories
curl --request GET \
--url https://api.airshipci.com/api/v1/repo \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.airshipci.com/api/v1/repo"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.airshipci.com/api/v1/repo', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.airshipci.com/api/v1/repo"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"items": [
{
"accessible": true,
"activated": true,
"activatedAt": "2023-11-07T05:31:56Z",
"allowPublic": true,
"defaultBranch": "<string>",
"fullName": "<string>",
"id": 123,
"private": true,
"config": {
"checkedAt": "2023-11-07T05:31:56Z",
"error": "<string>",
"sha": "<string>"
}
}
]
}{
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}